Skip to main content
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
top-level-analytics-by-date
curl "https://server.smartlead.ai/api/v1/campaigns/12345/top-level-analytics-by-date?api_key=YOUR_API_KEY&start_date=2024-01-01&end_date=2024-01-31"
{
  "ok": true,
  "data": []
}

Path Parameters

campaign_id
integer
required
The ID of the campaign

Query Parameters

api_key
string
required
Your API key
start_date
string
required
Start date in YYYY-MM-DD format
end_date
string
required
End date in YYYY-MM-DD format
curl "https://server.smartlead.ai/api/v1/campaigns/12345/top-level-analytics-by-date?api_key=YOUR_API_KEY&start_date=2024-01-01&end_date=2024-01-31"

Response Codes

200
Success
Request successful
400
Bad Request
Invalid request parameters or malformed request body
401
Unauthorized
Invalid or missing API key. Check your authentication.
404
Not Found
The requested resource does not exist or you don’t have access to it
{
  "ok": true,
  "data": []
}